# Intrinio::Company

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | The Intrinio ID of the company | [optional] 
**ticker** | **String** | The stock market ticker symbol associated with the company&#39;s common stock securities | [optional] 
**name** | **String** | The company&#39;s common name | [optional] 
**lei** | **String** | The Legal Entity Identifier (LEI) assigned to the company | [optional] 
**legal_name** | **String** | The company&#39;s official legal name | [optional] 
**stock_exchange** | **String** | The Stock Exchange where the company&#39;s common stock is primarily traded | [optional] 
**sic** | **String** | The Standard Industrial Classification (SIC) determined by the company and filed with the SEC | [optional] 
**short_description** | **String** | A one or two sentence description of the company&#39;s operations | [optional] 
**long_description** | **String** | A one paragraph description of the company&#39;s operations and other corporate actions | [optional] 
**ceo** | **String** | The Chief Executive Officer of the company | [optional] 
**company_url** | **String** | The URL of the company&#39;s primary corporate website or primary internet property | [optional] 
**business_address** | **String** | The company&#39;s business address | [optional] 
**mailing_address** | **String** | The mailing address reported by the company | [optional] 
**business_phone_no** | **String** | The phone number reported by the company | [optional] 
**hq_address1** | **String** | The company&#39;s headquarters address - line 1 | [optional] 
**hq_address2** | **String** | The company&#39;s headquarters address - line 2 | [optional] 
**hq_address_city** | **String** | The company&#39;s headquarters city | [optional] 
**hq_address_postal_code** | **String** | The company&#39;s headquarters postal code | [optional] 
**entity_legal_form** | **String** | The company&#39;s legal organization form | [optional] 
**cik** | **String** | The Central Index Key (CIK) assigned to the company by the SEC as a unique identifier, used in SEC filings | [optional] 
**latest_filing_date** | **Date** | The date of the company&#39;s last filing with the SEC | [optional] 
**hq_state** | **String** | The state (US &amp; Canada Only) where the company headquarters are located | [optional] 
**hq_country** | **String** | The country where the company headquarters are located | [optional] 
**inc_state** | **String** | The state (US &amp; Canada Only) where the company is incorporated | [optional] 
**inc_country** | **String** | The country where the company is incorporated | [optional] 
**employees** | **Integer** | The number of employees working for the company | [optional] 
**entity_status** | **String** |  | [optional] 
**sector** | **String** | The company&#39;s operating sector | [optional] 
**industry_category** | **String** | The company&#39;s operating industry category | [optional] 
**industry_group** | **String** | The company&#39;s operating industry group | [optional] 
**template** | **String** | The financial statement template used by Intrinio to standardize the as reported data | [optional] 
**standardized_active** | **BOOLEAN** | If true, the company has standardized and as reported fundamental data via the Intrinio API; if false, the company has as-reported data only | [optional] 


